<t:cabinet.Layout t:title="index" xmlns:t="http://tapestry.apache.org/schema/tapestry_5_0_0.xsd">
<t:delegate to="activeBlock"/>
<t:block t:id="blockHousingType">
	<t:form>
		<t:label for="town"/><select t:id="town" t:type="select" value="housing.town" model="townsSelectionModel" encoder="townsValueEncoder" blankOption="never"/>
		<t:label for="housingType"/>
		<t:select t:id="housingType" value="housing.type"/>
		<button type="submit">${message:save}</button>
	</t:form>
</t:block>
<t:block t:id="blockEditor">
	<t:form t:id="formEditor">
		<table>
			<tr>
				<td>${housing.type}</td>
			</tr>
			<tr>
				<td>${housing.town.name}</td>
			</tr>
			<tr t:type="if" test="hasMetro">
				<td><t:label for="metro"/></td>
				<td><select t:id="metro" t:type="select" t:value="housing.metroStation" model="metrosSelectionModel" encoder="metrosValueEncoder"/></td>
			</tr>
			<tr>
				<td><t:label for="district"/></td>
				<td><select t:id="district" t:type="select" t:value="housing.district" model="districtsSelectionModel" encoder="districtsValueEncoder"/></td>
			</tr>
			<tr>
				<td><t:label for="address"/></td>
				<td><t:textField t:id="address" value="housing.address"/></td>
			</tr>
			<tr>
				<td><t:label for="rooms"/></td>
				<td><select t:id="rooms" t:type="textField" t:value="housing.rooms"/></td>
			</tr>
            <tr>
                <td><t:label for="price"/></td>
                <td><select t:id="price" t:type="textField" t:value="housing.price"/></td>
            </tr>
            <tr>
                <td><t:label for="currency"/></td>
                <td><select t:id="currency" t:type="textField" t:value="housing.currency"/></td>
            </tr>
		</table>
		<button type="submit">${message:save}</button>
	</t:form>
</t:block>
</t:cabinet.Layout>